org.gradle.tooling.events.task

## Interface TaskSkippedResult

- All Superinterfaces:
    OperationResult, SkippedResult, TaskOperationResult

      @Incubating
      public interface TaskSkippedResult
      extends TaskOperationResult, SkippedResult

  Describes how a task operation was skipped.
  Since:
    2.5

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSkipMessage()` Returns a message describing the reason for skipping the task.

    - ### Methods inherited from interface org.gradle.tooling.events.OperationResult

      `getEndTime, getStartTime`

- - ### Method Detail

    - #### getSkipMessage

          String getSkipMessage()

      Returns a message describing the reason for skipping the task.
      Returns:
        the message describing the skip reason